%define version 0.1
%define name drakhosts
%define release 1mdk

Summary:	GUI to configure Hosts file
Name:		%{name}
Version:	%{version}
Release:        %{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	%name.png
License:	GPL
URL:		http://cvs.mandriva.com/drakhosts/
Group:		System/Configuration/Other
Packager:	Antoine Ginies <aginies@mandriva.com>
Requires:	perl-Gtk2, perl-MDK-Common
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
GUI to configure /etc/hosts file.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/

(mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): \
command="%{_sbindir}/%{name}" icon="%name.png" section="Configuration/Other" title="Drakhosts" longtitle="Mandriva Hosts file configurator" 
EOF
)

mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 48x48 %{SOURCE1} $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %{SOURCE1} $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %{SOURCE1} $RPM_BUILD_ROOT/%_miconsdir/%name.png


#install lang
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/%{name}
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%_datadir/*
%{_menudir}/%{name}*

%changelog
* Fri Jul  1 2005 Antoine Ginies <aginies@mandrakesoft.com> 0.1-1mdk
- first release
